﻿using Syncfusion.Windows.Shared;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Data;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace SfDataGridDemo
{
    public class ViewModel
    {
        private DataTable datatable;
        public DataTable DataTable
        {
            get { return datatable; }
            set { datatable = value; }
        }

        private DataTable combotable;
        public DataTable ComboTable
        {
            get { return combotable; }
            set { combotable = value; }
        }

        public ViewModel()
        {
            datatable = new DataTable();
            combotable = new DataTable();
            this.GenerateOrders();
            this.GenerateCities();
        }

        private void GenerateCities()
        {
            Random r = new Random();

            combotable.Columns.Add("Country", typeof(string));

            for (int i = 0; i < 10; i++)
            {
                System.Data.DataRow row = combotable.NewRow();
                
                var city = country[r.Next(country.Count())];
               
                row[0] = city;
                combotable.Rows.Add(row);
            }
        }

        private void GenerateOrders()
        {
            Random r = new Random();
            datatable.Columns.Add("EmployeeID", typeof(int));
            datatable.Columns.Add("EmployeeName", typeof(string));
            datatable.Columns.Add("Destination", typeof(string));
            datatable.Columns.Add("Country", typeof(string));

            for (int i = 0; i < 10; i++)
            {
                System.Data.DataRow row = datatable.NewRow();
                var name = employeeName[r.Next(employeeName.Count() - 1)];
                var destinaton = title[r.Next(title.Count() - 1)];
                var city = country[r.Next(country.Count())];
                row[0] = 1000 + i;
                row[1] = name;
                row[2] = destinaton;
                row[3] = country[i];
                datatable.Rows.Add(row);
            }
        }

        private string[] employeeName = new string[]
       {
                "Sean Jacobson",
                "Phyllis Allen",
                "Marvin Allen",
                "Michael Allen",
                "Cecil Allison",
                "Oscar Alpuerto",
                "Sandra Altamirano",
                "Selena Alvarad",
                "Emilio Alvaro",
                "Maxwell Amland",
                "Mae Anderson",
                "Ramona Antrim",
                "Sabria Appelbaum",
                "Hannah Arakawa",
                "Kyley Arbelaez",
                "Tom Johnston",
                "Thomas Armstrong",
                "John Arthur",
                "Chris Ashton",
                "Teresa Atkinson",
                "John Ault",
                "Robert Avalos",
                "Stephen Ayers",
                "Phillip Bacalzo",
                "Gustavo Achong",
                "Catherine Abel",
                "Kim Abercrombie",
                "Humberto Acevedo",
                "Pilar Ackerman",
                "Frances Adams",
                "Margar Smith",
                "Carla Adams",
                "Jay Adams",
                "Ronald Adina",
                "Samuel Agcaoili",
                "James Aguilar",
                "Robert Ahlering",
                "Francois Ferrier",
                "Kim Akers",
                "Lili Alameda",
                "Amy Alberts",
                "Anna Albright",
                "Milton Albury",
                "Paul Alcorn",
                "Gregory Alderson",
                "J. Phillip Alexander",
                "Michelle Alexander",
                "Daniel Blanco",
                "Cory Booth",
                "James Bailey"
       };

        private string[] country = new string[]
           {
                "America",
                "Brazil",
                "China",
                "Denmark",
                "Eroupe",
                "France",
                "Germany",
                "Italy",
                "Japan",
                "Mexio"
           };

        private string[] title = new string[]
           {
                "Marketing Assistant",
                "Engineering Manager",
                "Senior Tool Designer",
                "Tool Designer",
                "Marketing Manager",
                "Production Supervisor - WC60",
                "Production Technician - WC10",
                "Design Engineer",
                "Production Technician - WC10",
                "Design Engineer",
                "Vice President of Engineering",
                "Production Technician - WC10",
                "Production Supervisor - WC50",
                "Production Technician - WC10",
                "Production Supervisor - WC60",
                "Production Technician - WC10",
                "Production Supervisor - WC60",
                "Production Technician - WC10",
                "Production Technician - WC30",
                "Production Control Manager",
                "Production Technician - WC45",
                "Production Technician - WC45",
                "Production Technician - WC30",
                "Production Supervisor - WC10",
                "Production Technician - WC20",
                "Production Technician - WC40",
                "Network Administrator",
                "Production Technician - WC50",
                "Human Resources Manager",
                "Production Technician - WC40",
                "Production Technician - WC30",
                "Production Technician - WC30",
                "Stocker",
                "Shipping and Receiving Clerk",
                "Production Technician - WC50",
                "Production Technician - WC60",
                "Production Supervisor - WC50",
                "Production Technician - WC20",
                "Production Technician - WC45",
                "Quality Assurance Supervisor",
                "Information Services Manager",
                "Production Technician - WC50",
                "Master Scheduler",
                "Production Technician - WC40",
                "Marketing Specialist",
                "Recruiter",
                "Production Technician - WC50",
                "Maintenance Supervisor",
                "Production Technician - WC30",
           };

    }
}
            
        
     

